summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Sergey Poznyakoff2018-07-13 16:23:01 +0200
committer Willy Sudiarto Raharjo2018-07-14 01:55:56 +0200
commitc26c9c5f7dd19ed2f92aa1ee06cfd461d31d77dc (patch)
treeb0267340d7f3829187c99802b6e8e4fc33bfe83d
parentd1300b4c475232cb96f436721160e9b3bf65f391 (diff)
downloadslackbuilds-c26c9c5f7dd19ed2f92aa1ee06cfd461d31d77dc.tar.gz
system/mailfromd: Added (A General-Purpose Mail Filter).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/mailfromd/README5
-rw-r--r--system/mailfromd/doinst.sh15
-rw-r--r--system/mailfromd/mailfromd.SlackBuild106
-rw-r--r--system/mailfromd/mailfromd.info10
-rw-r--r--system/mailfromd/slack-desc19
5 files changed, 155 insertions, 0 deletions
diff --git a/system/mailfromd/README b/system/mailfromd/README
new file mode 100644
index 0000000000..d3599ea596
--- /dev/null
+++ b/system/mailfromd/README
@@ -0,0 +1,5 @@
+Mail filtering daemon for Sendmail, Postfix and MeTA1. Mailfromd allows the
+system administrator to write filters of arbitrary complexity using a simple
+yet powerful scripting language. Its features include call-out address
+verification, greylisting and whitelisting, sending rate control, local
+account verification and many others.
diff --git a/system/mailfromd/doinst.sh b/system/mailfromd/doinst.sh
new file mode 100644
index 0000000000..9ec38e6fc6
--- /dev/null
+++ b/system/mailfromd/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD=${NEW%%.new}
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/mailfromd/mailfromd.mf.new
+config etc/rc.d/rc.mailfromd.new
diff --git a/system/mailfromd/mailfromd.SlackBuild b/system/mailfromd/mailfromd.SlackBuild
new file mode 100644
index 0000000000..a9c24f9152
--- /dev/null
+++ b/system/mailfromd/mailfromd.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for mailfromd
+
+# Copyright 2018 Sergey Poznyakoff <gray@gnu.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mailfromd
+VERSION=${VERSION:-8.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc/mailfromd \
+ --localstatedir=/var/lib \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README THANKS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mkdir $PKG/etc/rc.d
+cat etc/rc.mailfromd > $PKG/etc/rc.d/rc.mailfromd.new
+chmod +x $PKG/etc/rc.d/rc.mailfromd.new
+mv $PKG/etc/mailfromd/mailfromd.mf $PKG/etc/mailfromd/mailfromd.mf.new
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/mailfromd/mailfromd.info b/system/mailfromd/mailfromd.info
new file mode 100644
index 0000000000..a056ef3e6f
--- /dev/null
+++ b/system/mailfromd/mailfromd.info
@@ -0,0 +1,10 @@
+PRGNAM="mailfromd"
+VERSION="8.5"
+HOMEPAGE="http://puszcza.gnu.org.ua/software/mailfromd"
+DOWNLOAD="http://download.gnu.org.ua/pub/release/mailfromd/mailfromd-8.5.tar.gz"
+MD5SUM="3b2f97b5defe71e46ff8cbdff3990de5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="mailutils adns"
+MAINTAINER="Sergey Poznyakoff"
+EMAIL="gray@gnu.org"
diff --git a/system/mailfromd/slack-desc b/system/mailfromd/slack-desc
new file mode 100644
index 0000000000..9cbf2dc910
--- /dev/null
+++ b/system/mailfromd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mailfromd: mailfromd (A General-Purpose Mail Filter)
+mailfromd:
+mailfromd: Mail filtering daemon for Sendmail, Postfix and MeTA1. Configured
+mailfromd: using a simple yet powerful scripting language. Its features include
+mailfromd: call-out address verification, greylisting and whitelisting, sending
+mailfromd: rate control, local account verification and many others.
+mailfromd:
+mailfromd: Mailfromd is being developed by Sergey Poznyakoff.
+mailfromd:
+mailfromd: Homepage: https://www.gnu.org.ua/software/mailfromd
+mailfromd: